For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create snapshot

Create a snapshot of a specified virtual machine.

Create snapshot

post

Create a snapshot of a specified virtual machine.

A snapshot captures the state and data of the virtual machine at a specific point in time, allowing users to restore the virtual machine to that state if needed. This operation is useful for backup purposes, system recovery, and testing changes without affecting the current state of the virtual machine.

Creating new snapshot will overwrite the existing snapshot!

Use this endpoint to capture VPS state for backup and recovery purposes.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
virtualMachineIdintegerRequired

Virtual Machine ID

Example: 1268054
Responses
200

Success response

application/json
idintegerOptional

Action ID

Example: 8123712
namestringOptional

Action name

Example: action_name
statestring · enumOptional

Action state

Example: successPossible values:
created_atstring · date-timeOptionalExample: 2025-02-27T11:54:00Z
updated_atstring · date-timeOptionalExample: 2025-02-27T11:58:00Z
post/api/vps/v1/virtual-machines/{virtualMachineId}/snapshot
POST /api/vps/v1/virtual-machines/{virtualMachineId}/snapshot HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": 8123712,
  "name": "action_name",
  "state": "success",
  "created_at": "2025-02-27T11:54:00Z",
  "updated_at": "2025-02-27T11:58:00Z"
}

Last updated

Was this helpful?